Subject: Re: socket programming in Win95, concurrent server
From: [email-masked] (Wai-Kong Sung)

29 Jan 1998 07:26:21 -0800
Message-ID: <[email-masked]>
References: <01BD2CC5.C4450900@sos>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: multipart/mixed; boundary="------------49ABEE213F38C3A75BD2890C"
To: Sergey Okhapkin <[email-masked]>
Cc: "[email-masked]" <[email-masked]>

This is a multi-part message in MIME format.
--------------49ABEE213F38C3A75BD2890C
Content-Type: text/plain; charset=iso-8859-1
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
Content-Transfer-Encoding: 8bit

Thanks! I fingure out this from your web site later. Anyway, signals
don't work very well in Win95 too. Later I swith to use the Win32 thread
instead the old unix way fork/exec. It works. Kinda! It stops once a
while for no reason. It seems to me the Berkeley socket in GNU-Win32 is
not really thread-safe. So I switch to winsock. It works but just that
Unix like anymore.

waikong

Sergey Okhapkin wrote:

> Wai-Kong Sung wrote:
> > I would like to know whether passing a child process inherit the
> socket
> > handle from the parent in gnuwin32/Win95.Ç??
> >
>
> Socket() call on windows95 creates a non-inherittable socket! Download
> patched cygwin.dll from my web page - it handles this bug of Win95.
>
> --
> Sergey Okhapkin, http://www.lexa.ru/sos
> Moscow, Russia
> Looking for a job

　　

--------------49ABEE213F38C3A75BD2890C
Content-Type: text/x-vcard; charset=us-ascii; name="vcard.vcf"
Content-Transfer-Encoding: 7bit
Content-Description: Card for Wai-Kong  Sung
Content-Disposition: attachment; filename="vcard.vcf"

begin:          vcard
fn:             Wai-Kong  Sung
n:              Sung;Wai-Kong 
org:            Communication Devices, Inc.
adr:            1 Forstmann Court;;;Clifton;New Jersey;07011;U.S.A.
email;internet: [email-masked]
title:          Engineer
tel;fax:        (973) 772 0747
x-mozilla-cpt:  ;0
x-mozilla-html: FALSE
end:            vcard

--------------49ABEE213F38C3A75BD2890C--

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".